#include<iostream>
#include<math.h>
long long int izracunaj(long long L,long long R,int p,int q,int r)
{
	long long int j=0;
	for(long long int i=L;i<=R;i++)
	{
		if(ceil((float)i/p)+ceil((float)i/q)+ceil((float)i/r)<=i)
			j++;
	}
	return j;
}
int nzd(int a, int b)
{
	return (b == 0) ? a : nzd(b, a%b);
}
int nzs(int a, int b)
{
	return a*b / nzd(a, b);
}
int main()
{
	int p,q,r,i;
	long long L,R;
	scanf("%d %d %d %lld %lld",&p,&q,&r,&L,&R);
	int NZS=nzs(nzs(p,q),r);
	if((float)1/p+(float)1/q+(float)1/r>1)
	{
	printf("0");
	return 0;
	}
	float temp=(float)1/p+(float)1/q+(float)1/r;
	int x=NZS*temp;
	if(L<=3)
	{
		if(p==2||q==2||r==2)
		L=3;
		else
		L=2;	
	}
	if(NZS==x)
	{
		if(!(L%NZS==0))
		L=NZS*(L/NZS+1);
		printf("%lld",(R-L)/NZS+1);
		return 0;
	}
	if(NZS-x>=3)
	{
		printf("%lld",R-L);
		return 0;
	}
	if(NZS-x<3)
	{		
		printf("%lld",izracunaj(L,R,p,q,r));
		return 0;
	}
}